Package org.apache.tapestry5.rest.jackson.internal

## Class JacksonComponentEventResultProcessor<T>

- java.lang.Object
- - org.apache.tapestry5.rest.jackson.internal.JacksonComponentEventResultProcessor<T>

- All Implemented Interfaces:
    `ComponentEventResultProcessor<T>`

      public class JacksonComponentEventResultProcessor<T>
      extends java.lang.Object
      implements ComponentEventResultProcessor<T>

  Handles mapped entity class instances using Jackson Databind when they're returned by event handler methods. It uses the `ObjectMapper` instance provided by `ObjectMapperSource`.
  Since:
    5.8.0
  See Also:
    `MappedEntityManager`, `ObjectMapperSource`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JacksonComponentEventResultProcessor​(java.lang.Class<T> entityClass, Response response, java.lang.String outputEncoding, ObjectMapperSource objectMapperSource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(T object)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JacksonComponentEventResultProcessor

          public JacksonComponentEventResultProcessor​(java.lang.Class<T> entityClass,
                                                      Response response,
                                                      @Symbol("tapestry.charset")
                                                      java.lang.String outputEncoding,
                                                      ObjectMapperSource objectMapperSource)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(T object)
                                  throws java.io.IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<T>`
      Parameters:
        `object` - the value returned from a method
      Throws:
        `java.io.IOException`